libgcc

Just ran some patching on my GMS server (SLES 12 sp4) and it showed this file conflict--I never really know quite what I should do when these happen (rarely. 

Checking for file conflicts:...........................................................[error]  (in red)

Detected 2 file conflicts:

File /lib/libgcc_s.so.1
    from install of
        libgcc_s1-32bit-9.2.1 r275327-1.3.9 x86_64 (SLES12-SP-Updates)
    conflicts with the file from package
        libgcc46-32bit-4.6.1_20110701-0.13.9 x86_64 )

File /lib/libgcc_s.so.1
    from install of
        libgcc_s1-9.2.1 r275327-1.3.9 x86_64 (SLES12-SP-Updates)
    conflicts with the file from package
        libgcc46-4.6.1_20110701-0.13.9 x86_64 )

Asks me to continue (which means the conflicting files will be replaced, losing the previous content).

Does this mean the file from the is the one to be replaced?  So confusing to me.

What do I do???  Just sorta sitting there, I really don't want to leave it logged in all night.

Help!  thanks in advance.
Val

  • Ah, I just read and re-read, flipped a coin and said Yes.  (Not really, I found that the file is not from a repository - no idea where it is from, but it can be replaced). So after responding Y, the rest of the patches applied and the process was done. Crossed my fingers and rebooted everything and Mobility is fine and operational, no apparent issues.

    Anyway, thanks!  The forum gives me courage in spirit. 

    Val